Subject: Re: bug#50895: 28.0.50; show-paren-mode is distracting in some modes

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Sep 2021 21:02:31 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 29 Sep 2021 19:25:39 +0200
> Cc: Dmitry Gutov <[email-masked]>
> 
> 
> I think defaulting show-paren-mode to "on" is a good change in general,
> but it's distracting in some modes.  For instance, when presenting data
> in a buffer, having point flash around when moving around in the buffer
> is not what most people will want.

We don't know what "most people" will want, except what we heard
during the poll.  And no one said anything like that there.

FWIW, I'm using show-paren-mode for eons as a global setting in all my
modes and buffers, and have nothing negative to report.  So evidently
at least for some this is not as annoying as it could seem.

> Does anybody see a way to enable it by default in non-special buffers
> only, but not explicitly switching it off in special-mode buffers for
> those that want it?

Mode hooks is the usual method.  And yes, I'm talking about personal
customizations.  Nothing wrong with that.